# WoopsiUI::SliderHorizontalGrip Class Reference

`#include <sliderhorizontalgrip.h>`

Inheritance diagram for WoopsiUI::SliderHorizontalGrip:

List of all members.

## Public Member Functions
| SliderHorizontalGrip (s16 x, s16 y, u16 width, u16 height)
virtual void | draw (Rect clipRect)
virtual bool | click (s16 x, s16 y)
virtual bool | release (s16 x, s16 y)
virtual bool | drag (s16 x, s16 y, s16 vX, s16 vY)
## Protected Member Functions
virtual | ~SliderHorizontalGrip ()
| SliderHorizontalGrip (const SliderHorizontalGrip &sliderHorizontalGrip)

## Detailed Description

Class representing the grip, or draggable button, with a horizontal slider.

## Constructor & Destructor Documentation

SliderHorizontalGrip::SliderHorizontalGrip | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the grip, relative to its parent.
  | y | The y co-ordinate of the grip, relative to its parent.
  | width | The width of the grip.
  | height | The height of the grip.

virtual WoopsiUI::SliderHorizontalGrip::~SliderHorizontalGrip | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::SliderHorizontalGrip::SliderHorizontalGrip | ( | const SliderHorizontalGrip & | sliderHorizontalGrip | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

bool SliderHorizontalGrip::click | ( | s16 | x,
|  | s16 | y |
| ) |  |  | `[virtual]`

Click the grip at the specified co-ordinates.

Parameters:

  | x | The x co-ordinate of the click.
  | y | The y co-ordinate of the click.

Returns:
  True if the click was processed by the slider.

Reimplemented from WoopsiUI::Gadget.

bool SliderHorizontalGrip::drag | ( | s16 | x,
|  | s16 | y,
|  | s16 | vX,
|  | s16 | vY |
| ) |  |  | `[virtual]`

Drag the gadget to the supplied co-ordinates.

Parameters:

  | x | The x co-ordinate of the stylus.
  | y | The y co-ordinate of the stylus.
  | vX | The horizontal distance that the stylus was dragged.
  | vY | The vertical distance that the stylus was dragged.

Returns:
  True if the drag was successful.

Reimplemented from WoopsiUI::Gadget.

void SliderHorizontalGrip::draw | ( | Rect | clipRect | ) | `[virtual]`

Draw the region of the slider that falls within the clipping rect. Use draw() instead in most circumstances.

Parameters:

  | clipRect | The clipping region.

Reimplemented from WoopsiUI::Gadget.

bool SliderHorizontalGrip::release | ( | s16 | x,
|  | s16 | y |
| ) |  |  | `[virtual]`

Release this gadget at the supplied co-ordinates

Parameters:

  | x | X co-ordinate of the release.
  | y | Y co-ordinate of the release.

Returns:
  True if the release was successful.

Reimplemented from WoopsiUI::Gadget.

The documentation for this class was generated from the following files:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/sliderhorizontalgrip.h
- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/sliderhorizontalgrip.cpp

All Classes Functions Variables Enumerations Enumerator